export const getCookieValue = (name: string): string => {
  const regex = new RegExp(`(^| )${name}=([^;]+)`)
  const match = document.cookie.match(regex)

  if (match) {
    return match[2];
  }

  return '';
}

export const setCookieValue = (key: string, value: string): void => {
  document.cookie = `${key}=${value}; Secure; SameSite=Lax; path=/`;
}